Summary: Line-oriented text editor
Name: ed
Version: 1.9
Release: r0.0
License: GPLv3+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnu.org/software/ed/
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Provides: elf(buildid) = 5586013e2f1e078e281397a43886b3a20725e701

%description
Line-oriented text editor.

%package -n ed-dbg
Summary: Line-oriented text editor - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: ed = 1.9-r0.0

%description -n ed-dbg
Line-oriented text editor.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n ed-staticdev
Summary: Line-oriented text editor - Development files (Static Libraries)
Group: devel
Requires: ed-dev = 1.9-r0.0

%description -n ed-staticdev
Line-oriented text editor.  This package contains static libraries for
software development.

%package -n ed-dev
Summary: Line-oriented text editor - Development files
Group: devel
Requires: ed = 1.9-r0.0
Suggests: libc6-dev

%description -n ed-dev
Line-oriented text editor.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n ed-doc
Summary: Line-oriented text editor - Documentation files
Group: doc

%description -n ed-doc
Line-oriented text editor.  This package contains documentation.

%package -n ed-locale
Summary: Line-oriented text editor
Group: base

%description -n ed-locale
Line-oriented text editor.

%files
%defattr(-,-,-,-)
%dir "/bin"
"/bin/ed"
"/bin/red"

%files -n ed-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/bin"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/ed"
%dir "/usr/src/debug/ed/1.9-r0"
%dir "/usr/src/debug/ed/1.9-r0/ed-1.9"
"/usr/src/debug/ed/1.9-r0/ed-1.9/io.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/main.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/carg_parser.h"
"/usr/src/debug/ed/1.9-r0/ed-1.9/regex.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/carg_parser.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/global.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/signal.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/ed.h"
"/usr/src/debug/ed/1.9-r0/ed-1.9/buffer.c"
"/usr/src/debug/ed/1.9-r0/ed-1.9/main_loop.c"
%dir "/bin/.debug"
"/bin/.debug/ed"

%files -n ed-dev
%defattr(-,-,-,-)

%files -n ed-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
%dir "/usr/share/man"
"/usr/share/info/ed.info"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/ed.1"
"/usr/share/man/man1/red.1"

